Functions
IO operation functions
Peripheral Driver » HAL Driver » AON_GPIO » Functions

AON_GPIO Read, Write, Toggle, Lock and EXTI management functions. More...

Collaboration diagram for IO operation functions:

## Functions
aon_gpio_pin_state_t | hal_aon_gpio_read_pin (uint16_t aon_gpio_pin)
| Read the specified input port pin. More...
void | hal_aon_gpio_write_pin (uint16_t aon_gpio_pin, aon_gpio_pin_state_t pin_state)
| Set or clear the selected data port bit. More...
void | hal_aon_gpio_toggle_pin (uint16_t aon_gpio_pin)
| Toggle the specified AON_GPIO pin. More...

## Detailed Description

AON_GPIO Read, Write, Toggle, Lock and EXTI management functions.

## Function Documentation

## ◆ hal_aon_gpio_read_pin()

aon_gpio_pin_state_t hal_aon_gpio_read_pin | ( | uint16_t | aon_gpio_pin | ) |

Read the specified input port pin.

Parameters

  [in] | aon_gpio_pin | Specifies the port bit to be read. This parameter can be one of the following values: AON_GPIO_PIN_0 AON_GPIO_PIN_1 AON_GPIO_PIN_2 AON_GPIO_PIN_3 AON_GPIO_PIN_4 AON_GPIO_PIN_5 AON_GPIO_PIN_6 AON_GPIO_PIN_7

Returns
  The input port pin value.

## ◆ hal_aon_gpio_toggle_pin()

void hal_aon_gpio_toggle_pin | ( | uint16_t | aon_gpio_pin | ) |

Toggle the specified AON_GPIO pin.

Parameters

  [in] | aon_gpio_pin | Specifies the pin to be toggled. This parameter can be a combination of the following values: AON_GPIO_PIN_0 AON_GPIO_PIN_1 AON_GPIO_PIN_2 AON_GPIO_PIN_3 AON_GPIO_PIN_4 AON_GPIO_PIN_5 AON_GPIO_PIN_6 AON_GPIO_PIN_7 AON_GPIO_PIN_ALL

## ◆ hal_aon_gpio_write_pin()

void hal_aon_gpio_write_pin | ( | uint16_t | aon_gpio_pin,
|  | aon_gpio_pin_state_t | pin_state
| ) |  |

Set or clear the selected data port bit.

Parameters

  [in] | aon_gpio_pin | Specifies the port bit to be written. This parameter can be a combination of the following values: AON_GPIO_PIN_0 AON_GPIO_PIN_1 AON_GPIO_PIN_2 AON_GPIO_PIN_3 AON_GPIO_PIN_4 AON_GPIO_PIN_5 AON_GPIO_PIN_6 AON_GPIO_PIN_7 AON_GPIO_PIN_ALL
  [in] | pin_state | Specifies the value to be written to the selected bit. This parameter can be one of the AON_GPIO_PinState enum values: AON_GPIO_PIN_RESET: to clear the port pin AON_GPIO_PIN_SET: to set the port pin